package pi7;

public class PI7 {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        // criando componentes
        Controller controller = new Controller();
        IHM ihm = new IHM();
        CommunicationController cc = new CommunicationController();
        GerenciadorProgramas gerProg = new GerenciadorProgramas();
        Monitor mon = new Monitor();
        
        // inicializando componentes
        controller.setIHM(ihm);
        controller.setGerenciadorProgramas(gerProg);
        ihm.setController(controller);
        
        try {
        cc.init("COMx"); // corrigir numero da porta serial
        } catch(Exception e) {
            e.printStackTrace();
        }
        // exibindo IHM
        ihm.iniciar();
        ihm.setVisible(true);
        
        // iniciar monitor
        mon.start();
    } // main
}
